/* definitions for a looper */

#ifndef __CUSTOMCURVE_H__
#define __CUSTOMCURVE_H__

#include <gtk/gtk.h>
#include <glib.h>
#include "../../common/looperdata.h"

GtkWidget* customcurvedialog_new(GtkWidget* parent, looper_data_t* data, int id);
void customcurve_update(GtkWidget* curve, looper_data_t* looperdata);
GtkWidget* customcurvedialog_get_curve(GtkWidget* dialog);

#endif
